Package: java.time

## [Java] Class MonthDay

- java.time.MonthDay

-     public class MonthDay
      extends Object

  GDK enhancements for MonthDay.

  displayName:
    MonthDay
  receiverFqcn:
    java.time.MonthDay

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public LocalDate` | `leftShift(int year)` Returns a LocalDate of this month/day and the provided year.
    `` | `public LocalDate` | `leftShift(Year year)` Returns a LocalDate of this month/day and the provided Year.
    `` | `public static MonthDay` | `parse(MonthDay type, CharSequence text, String pattern)` Parse text into a MonthDay using the provided pattern.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public LocalDate leftShift(int year)

      Returns a LocalDate of this month/day and the provided year.

      Parameters:
        `year` - a year
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public LocalDate leftShift(Year year)

      Returns a LocalDate of this month/day and the provided Year.

      Parameters:
        `year` - a Year
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public static MonthDay parse(MonthDay type, CharSequence text, String pattern)

      Parse text into a MonthDay using the provided pattern.

      throws:
        java.lang.IllegalArgumentException if the pattern is invalid
      throws:
        java.time.format.DateTimeParseException if the text cannot be parsed
      Parameters:
        `type` - placeholder variable used by Groovy categories; ignored for default static methods
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        a MonthDay representing the parsed text
      See Also:
        DateTimeFormatter
        MonthDay.parse
      Since:
        2.5.0